package no.miles.mpl.plugins.hudson.appclient;

import hudson.Plugin;
import hudson.model.Jobs;

/**
 * Entry point of a plugin.
 *
 * <p>
 * There must be one {@link Plugin} class in each plugin.
 * See javadoc of {@link Plugin} for more about what can be done on this class.
 * @Plugin
 *
 */
public class PluginImpl extends Plugin {

	private final MplAnnotator annotator = new MplAnnotator();

	@Override
	public void start() throws Exception {

		annotator.register();
		Jobs.PROPERTIES.add(MplProjectIssueFeedProperty.DESCRIPTOR);

//		RepositoryBrowsers.LIST.add(TracRepositoryBrowser.DESCRIPTOR);
	}

	public void stop() throws Exception {
		annotator.unregister();
	}
}
