package org.eclipse.mylyn.mpl.ui;

import org.eclipse.core.runtime.Plugin;
import org.osgi.framework.BundleContext;

public class MplCorePlugin extends Plugin {
	
	public static final String PLUGIN_ID = "org.eclipse.mylyn.mpl.ui";

	public static String REPOSITORY_KIND = "mpl";
	
	private static MplCorePlugin plugin;


	public MplCorePlugin() {
		super();
		plugin = this;
	}

	public static MplCorePlugin getDefault() {
		return plugin;
	}
	
	@Override
	public void start(BundleContext context) throws Exception {
		super.start(context);
		plugin = this;
	}
	
	@Override
	public void stop(BundleContext context) throws Exception {
		if (connector != null) {
//			connector.stop();
			connector = null;
		}

		plugin = null;
		super.stop(context);
	}
	
	private MplRepositoryConnector connector;
	
	public MplRepositoryConnector getConnector() {
		return connector;
	}

	void setConnector(MplRepositoryConnector connector) {
		this.connector = connector;
	}
	
}
