package no.miles.mpl.layers.app;

import java.util.ArrayList;
import java.util.Date;
import java.util.Properties;

import no.miles.mpl.atomextension.projects.*;
import no.miles.mpl.wrapper.Project;

import com.sun.syndication.feed.atom.Content;
import com.sun.syndication.feed.atom.Entry;
import com.sun.syndication.feed.atom.Feed;
import com.sun.syndication.feed.atom.Link;

public class ProjectFeed extends Feed {

	/**
	 * 
	 */
	private static final long serialVersionUID = -7660170970391882754L;
	
	Properties projects;

	public ProjectFeed(String baseUrl){
		super();
		
		this.setId(baseUrl + "projects/");
		this.setTitle("Miles Platform projects");
		this.setUpdated(new Date());
		
		ArrayList<Project> projects = Projects.getProjects();

		this.addProjects(projects);		
	}


	private void addProjects(ArrayList<Project> projects){

		ArrayList<Entry> entries = new ArrayList<Entry>();

		for (Project project : projects) {
			
			Entry entry = new ProjectEntry(this, project);

			entries.add(entry);

		}

		this.setEntries(entries);


	}





}
