package no.miles.mpl.wrapper.datastructures;

import java.util.ArrayList;

public class IssueTrackers extends ArrayList<String> {

	public static final String JIRA = Issue.MPLNS + "Jira";
	public static final String TRAC = Issue.MPLNS + "Trac";

	private static IssueTrackers instance = null;

	protected IssueTrackers() {
		//TODO: Load automatically from baetle??	

		this.add(JIRA);
		this.add(TRAC);

	}
	public static IssueTrackers getInstance() {
		if(instance == null) {
			instance = new IssueTrackers();
		}
		return instance;
	}

	public String[] getArray() {

		String[] issuetrackers = new String[this.size()];

		for(int i = 0; i < this.size(); i++){

			issuetrackers[i] = this.get(i);

		}

		return issuetrackers;

	}

}
