package no.miles.mpl.wrapper.datastructures;

import java.util.ArrayList;

public class IssueTypes extends ArrayList<String> {

	public static final String ISSUE_TYPE_ISSUE = "http://xmlns.com/baetle/#Issue";
	public static final String ISSUE_TYPE_DEFECT = "http://xmlns.com/baetle/#Defect";
	public static final String ISSUE_TYPE_ENHANCEMENT = "http://xmlns.com/baetle/#Enhancement";
	public static final String ISSUE_TYPE_TASK = "http://xmlns.com/baetle/#Task";
	
	private static IssueTypes instance = null;
	   protected IssueTypes() {
	      // Exists only to defeat instantiation.
		   //TODO: Load automatically from baetle??
		   
		   this.add(ISSUE_TYPE_ENHANCEMENT);
		   this.add(ISSUE_TYPE_DEFECT);
		   this.add(ISSUE_TYPE_TASK);
		   this.add(ISSUE_TYPE_ISSUE);
	   }
	   public static IssueTypes getInstance() {
	      if(instance == null) {
	         instance = new IssueTypes();
	      }
	      return instance;
	   }
	   

		public String[] getArray() {

			String[] types = new String[this.size()];
			
			for(int i = 0; i < this.size(); i++){
				
				types[i] = this.get(i);
				
			}
			
			return types;

		}

	  
}
