package no.miles.mpl.tracapi;
import java.net.MalformedURLException;
import java.net.URL;


import org.apache.xmlrpc.client.XmlRpcClient;
import org.apache.xmlrpc.client.XmlRpcClientConfigImpl;
import org.apache.xmlrpc.client.XmlRpcCommonsTransportFactory;


public class TracApi {
	
	public TracApi()
	{
		
	}

	public DynamicProxy connect(URL url, String username, String password)
	{
		XmlRpcClientConfigImpl config = new XmlRpcClientConfigImpl();
		
		config.setServerURL(url);

		config.setBasicUserName( username );

		config.setBasicPassword( password );

		XmlRpcClient client = new XmlRpcClient();
		client.setConfig( config );
		client.setTransportFactory( new XmlRpcCommonsTransportFactory( client ) );

		DynamicProxy proxy = new DynamicProxy( client );

		return proxy;
	}

}


