package no.miles.mpl.semantic.test;

import no.miles.mpl.semantic.AtomConverter;
import no.miles.mpl.semantic.AtomToBaetleConverter;

import com.hp.hpl.jena.ontology.OntModel;

public class BaetleTest {

	
	public static void main(String[] args) {
		
		String url = "http://localhost:8070/no.miles.mpl.layers.app/projects/mpl/issues/";
		String user = "test";
		String pass = "test";
		
		OntModel model = AtomToBaetleConverter.convertFeed(url, user, pass);

//		model.write(System.out, "RDF/XML-ABBREV");	
		
		
		
		String queryString = 		
			"PREFIX rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#>" +
			"PREFIX rdfs: <http://www.w3.org/2000/01/rdf-schema#>" +
			"PREFIX owl:  <http://www.w3.org/2002/07/owl#>" +
			"PREFIX mpl: <" + AtomToBaetleConverter.nsMpl + ">" +
			"PREFIX foaf: <" + AtomToBaetleConverter.nsFoaf +">" +
			"PREFIX doap: <" + AtomToBaetleConverter.nsDoap +">" +
			"PREFIX sioc: <" + AtomToBaetleConverter.nsSioc +">" +
			"SELECT ?key ?summary ?priorityType " +
			"WHERE {" +
			"      ?issue rdf:type mpl:Issue . " +
			" 	   ?issue mpl:hasKey ?key . " +			
			"      ?issue mpl:hasSummary ?summary . " +
			"      ?issue mpl:hasPriority ?priority . " +	
			" 	   ?priority rdf:type ?priorityType . " +
			"      ?priority rdf:type mpl:Major . " + 
			"      }";
		

		AtomConverter.performQuery(model, queryString);
		
	}
	
}
