package no.miles.mpl.plugins.jira.auth;

import no.miles.mpl.plugins.jira.exception.RemoteAuthenticationException;
import no.miles.mpl.plugins.jira.exception.RemoteException;
import no.miles.mpl.plugins.jira.exception.RemotePermissionException;

import com.opensymphony.user.User;

public interface TokenManager
{
    String login(String username, String password) throws RemoteException, RemoteAuthenticationException;

    boolean logout(String token);
    
    User retrieveUserNoPermissionCheck(String token) throws RemoteAuthenticationException, RemotePermissionException;
}