package org.eclipse.mylyn.mpl.tests.atom;

import java.util.ArrayList;

import org.eclipse.mylyn.mpl.ui.MplAtomLib;
import org.eclipse.mylyn.mpl.ui.MplTask;
import org.eclipse.mylyn.tasks.core.RepositoryTaskData;
import org.junit.Test;

import junit.framework.TestCase;

public class MplAtomLibTester extends TestCase {

	private static String username = "test";
	private static String password = "test";
//	private static String endpointUrl = "http://localhost:8070/no.miles.mpl.semantic.app.endpoint/projects/mpl/issues/";
	private static String endpointUrl = "http://localhost:8070/no.miles.mpl.semantic.app.endpoint/projects/LC/issues/";


	@Test
	public void testFetchTasks() throws Exception {


		try{
			MplAtomLib atomLibrary = new MplAtomLib();



			ArrayList<MplTask> tasks = atomLibrary.fetchTasks(username, password, endpointUrl);
			
			
			assertEquals(true, tasks.size() > 0);

		} catch (Exception e) {
			e.printStackTrace();
			// TODO: handle exception

		} catch (Throwable e) {
			e.printStackTrace();
			// TODO: handle exception
		}



	}
	
	@Test
	public void testpostTask() throws Exception {


		try{
			MplAtomLib atomLibrary = new MplAtomLib();

			RepositoryTaskData taskData = null;

			String s = atomLibrary.postTask(username, password, endpointUrl, taskData);
		
			System.out.println("s: " + s);
			
		} catch (Exception e) {
			e.printStackTrace();
			// TODO: handle exception

		} catch (Throwable e) {
			e.printStackTrace();
			// TODO: handle exception
		}



	}

}
