package no.miles.mpl.semantic.app.endpoint.entries;

import java.util.ArrayList;

import no.miles.mpl.wrapper.datastructures.Issue;

import com.sun.syndication.feed.atom.Content;
import com.sun.syndication.feed.atom.Entry;
import com.sun.syndication.feed.atom.Link;

public class ComponentEntry extends Entry {

	public ComponentEntry(String baseUri, int id, String version){

		this.setTitle("Component: " + id);

		this.setId(baseUri + id);

//		if(comment.getCreated() != null)
//		this.setCreated(comment.getCreated());

//		Person reporter = new Person();
//		reporter.setName(comment.getAuthor());
//		ArrayList<Person> authorList = new ArrayList<Person>();
//		authorList.add(reporter);	
//		this.setAuthors(authorList);

		Content summary = new Content();
		summary.setValue(version);
		summary.setType("text/plain");
		this.setSummary(summary);

		Link permaLink = new Link();
		permaLink.setRel("alternate");
		permaLink.setHref(baseUri + id);

		//Add alternate links
		ArrayList<Link> alternateLinkList = new ArrayList<Link>();
		alternateLinkList.add(permaLink);
		this.setAlternateLinks(alternateLinkList);

		Link about = new Link();
		about.setRel("about");
		about.setHref(Issue.BAETLENS + "SoftwarePackage");

		Link edit = new Link();
		edit.setRel("edit");
		edit.setHref(baseUri + id);

		ArrayList<Link> otherLinkList = new ArrayList<Link>();		
		otherLinkList.add(about);
		otherLinkList.add(edit);
		this.setOtherLinks(otherLinkList);

		//TODO: Add n3 in content??

//		Content content = new Content();		
//		String n3 = comment.toN3();		
//		content.setValue(n3);
//		content.setType("text/rdf+n3");		
//		ArrayList<Content> contents = new ArrayList<Content>();
//		contents.add(content);		
//		this.setContents(contents);

	}

}
