package no.miles.mpl.wrapper.datastructures;

import java.util.ArrayList;

public class PriorityTypes extends ArrayList<String> {

	public static final String PRIORITY_BLOCKER = "http://xmlns.com/baetle/#Blocker";
	public static final String PRIORITY_TRIVIAL = "http://xmlns.com/baetle/#Trivial";
	public static final String PRIORITY_CRITICAL = "http://xmlns.com/baetle/#Critical";
	public static final String PRIORITY_MAJOR = "http://xmlns.com/baetle/#Major";
	public static final String PRIORITY_MINOR = "http://xmlns.com/baetle/#Minor";
	
	//Keep this??
	public static final String PRIORITY = "http://xmlns.com/baetle/#Priority";

	private static PriorityTypes instance = null;
	   protected PriorityTypes() {
		   //TODO: Load automatically from baetle??		   
		   this.add(PRIORITY);
		   this.add(PRIORITY_BLOCKER);
		   this.add(PRIORITY_CRITICAL);
		   this.add(PRIORITY_MAJOR);
		   this.add(PRIORITY_MINOR);
		   this.add(PRIORITY_TRIVIAL);
	   }
	   public static PriorityTypes getInstance() {
	      if(instance == null) {
	         instance = new PriorityTypes();
	      }
	      return instance;
	   }
	   
		public String[] getArray() {

			String[] priorities = new String[this.size()];
			
			for(int i = 0; i < this.size(); i++){
				
				priorities[i] = this.get(i);
				
			}
			
			return priorities;

		}

}
