#!/usr/bin/perl
#    Subversion commit hook to write detailed summary to a FIFO

#    Copyright (C) 2006-7 Toby Thain <toby@telegraphics.com.au>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

# you may need a full path here:
my $SVNLOOK = "svnlook";
my $SVN = "svn";

# get parameters
my($REPO,$REV) = @ARGV;

my $LOG = `$SVNLOOK log $REPO -r $REV`;

my $REPOPREFIX = "http://localhost:8090/";

#REMOVING /home/
my $REPOSUFFIX = substr $REPO, 6;

my $REPOURL = "$REPOPREFIX" . "$REPOSUFFIX";

#my $REPOSUFFIX = $REPO.

#open (MYFILE, '>>/home/svn/milesplatform/hooks/test.txt');
#print MYFILE " Repo: $REPOURL, Rev: $REV\n";
#close (MYFILE);

#my $RESULT = `$SVN propset -r $REV --revprop svn:log \"new log\" $REPO`;

my $ISSUEPATTERN = '(/w)/(/w)';


#print "trying regex\n";
#print "$LOG";

my $LOGSUFFIX = "";

while ($LOG =~ /(\w+)\/(\w+)/gsi){	
	$PROJECTKEY = $1;
	$ISSUEKEY = $2;
	print "Project: $PROJECTKEY, Issue: $ISSUEKEY\n";

	#JIRA 
	$LOGSUFFIX = $LOGSUFFIX . $PROJECTKEY . "-" . $ISSUEKEY . "\n";
	
	#TRAC
	$LOGSUFFIX = $LOGSUFFIX . "#" . $ISSUEKEY . "\n";
}

my $NEWLOG = $LOG . $LOGSUFFIX;

print "New log: $NEWLOG";


my $RESULT =  `svn propset svn:log --revprop -r $REV \"$NEWLOG\" $REPOURL --username test --password test`;




# this must be the FIFO used in your fifobot.pl script:
#open(FIFO,">/tmp/svnbot") or die "can't open FIFO";

# get parameters



