package no.miles.mpl.atomextension.issue;

import java.util.ArrayList;
import java.util.Date;

import com.sun.syndication.feed.module.Module;

public interface IssueModule extends Module {

	 public static final String URI = "http://platform.miles.no/module/issue/1.0";
	 
	 public String getType();
	 public void setType(String type);
	 
	 public String getPriority();
	 public void setPriority(String priority);
	 
	 public ArrayList<String> getComponents();
	 public void setComponents(ArrayList<String> components);
	 
	 public ArrayList<String> getVersions();
	 public void setVersions(ArrayList<String> versions);
	
	 public String getAssignedTo();
	 public void setAssignedTo(String assigned_to);
	 
	 public String getReportedBy();
	 public void setReportedBy(String reported_by);
	 
	 public String getDescription();
	 public void setDescription(String description);
	 
	 public String getStatus();
	 public void setStatus(String status);
	 
	 public String getResolution();
	 public void setResolution(String resolution);
	 
	 public Date getCreated();
	 public void setCreated(Date created);
	 
}
