import com.sun.syndication.feed.atom.Content;
import com.sun.syndication.propono.atom.client.AtomClientFactory;
import com.sun.syndication.propono.atom.client.ClientCollection;
import com.sun.syndication.propono.atom.client.ClientEntry;
import com.sun.syndication.propono.utils.ProponoException;
import no.miles.mpl.wrapper.datastructures.*;

import org.jdom.Document;
import org.jdom.Element;
import org.jdom.JDOMException;
import org.jdom.input.SAXBuilder;
import org.jdom.JDOMFactory;
import org.jdom.output.Format;
import org.jdom.output.XMLOutputter;

import java.io.BufferedInputStream;
import java.io.ByteArrayInputStream;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;

class Project {

  	 String key
  	 String bugtrackerName
  	 String bugtrackerUrl
  	 
  	 //static def endpointAdress = "https://platform.miles.no/app/projects/"
  	 static def endpointAdress = "http://localhost:8070/no.miles.mpl.semantic.app.endpoint/projects/"
  	 
  	 def delete = {
  	 
  	 	print "deleting project"
  	 
  	 	//String endpointAdress = 
    	//String endpointAdress = 
    	
    	def atomClient = AtomClientFactory.getCollection(endpointAdress, "test", "test")     	
    
    	print endpointAdress + key
    
    	ClientEntry entry = atomClient.getEntry(endpointAdress + key)
    	
    	entry.remove()
  	 
  	 }
  	 
  	 
  	 def static get = { 
  	 
  	 	println "id: ${it}"	
  	 		  	 
  	 	//String endpointAdress = "http://localhost:8070/no.miles.mpl.semantic.app.endpoint/projects/"
    	//String endpointAdress = "https://platform.miles.no/app/projects/"    	
    	    	
    	def atomClient = AtomClientFactory.getCollection(endpointAdress, "test", "test")     	
    
    	def entry = atomClient.getEntry(endpointAdress + it)
    	
    	//if entry == null throw new exception.

		def content = entry.getContents().get(0)		

		//String xmlString = content.getValue()		
		
		String n3 = content.getValue()
		
		no.miles.mpl.wrapper.datastructures.Project project = no.miles.mpl.wrapper.datastructures.Project.parse(n3)

		//print xmlString

		//InputStream input = new ByteArrayInputStream(xmlString.getBytes())
		
		//BufferedInputStream bufferedIn = new BufferedInputStream(input)

		//SAXBuilder builder = new SAXBuilder()

		//Document doc = builder.build(bufferedIn)		

		//Element root = doc.getRootElement()
		//Element bugtracker_name = root.getChild("bugtracker_name")
		//Element bugtracker_url = root.getChild("bugtracker_url")

		//String bt_name = bugtracker_name.getText()
		//String bt_url = bugtracker_url.getText()
		
		String bt_name = project.getBugtrackertype()
		String bt_url = project.getBugtrackerurl()
		
		//if(bt_name == null || bt_url == null)
			//throw new BadRequestException("Missing bugtracker_name or bugtracker_url")
 
  	 	return new Project(key:it, bugtrackerName:bt_name, bugtrackerUrl:bt_url)  	 
  	 }
  	 
  	 def hasErrors = {
  	 
  	 	return false
  	 
  	 }
  	 
  	 def static list = {
  	 
  	 	ArrayList<Issue> projects = new ArrayList()
  	 	
  	 	//String endpointAdress = "http://localhost:8070/no.miles.mpl.semantic.app.endpoint/projects/"
    	//String endpointAdress = "https://platform.miles.no/app/projects/"
    	
    	def atomClient = AtomClientFactory.getCollection(endpointAdress, "test", "test")     	
    
    	def entries = atomClient.getEntries()  
    	
		while(entries.hasNext()){
			
			 def entry = entries.next()			 
			 
			 Project project = new Project(key:entry.getTitle())
			 			 
			 projects.add(project)
		}  	 	
  	 	
  	 	return projects
  	 
  	 }
  	 
  	 def save = {
  	 
  	 	//String endpointAdress = "http://localhost:8070/no.miles.mpl.semantic.app.endpoint/projects/"
    	//String endpointAdress = "https://platform.miles.no/app/projects/"
    	
    	def atomClient = AtomClientFactory.getCollection(endpointAdress, "test", "test")     	
    
  	 	//TODO check if entry exists..
  	 	
  	 	print "saving " + key + " url: " + bugtrackerUrl + " name: " + bugtrackerName
  	 	
  	 	ClientEntry entry = null
  	 	
  	 	try{  	 	
  	 		entry = atomClient.getEntry(endpointAdress + key) 
  		}catch(ProponoException e){
    		entry = null
  		}
  	 	
  	 	def newEntry = false
  	 	
  	 	if (entry == null) {
  	 		
  	 		print "this is a new entry.."
  	 		
  	 		entry = atomClient.createEntry()
  	 		newEntry = true
  	 		  	 	
  	 	} 	 		 	
  	 	
  	 	entry.setTitle(key)  	 	
  	 	
  	 	Content content = new Content()	
  	 	
  	 	no.miles.mpl.wrapper.datastructures.Project project = new no.miles.mpl.wrapper.datastructures.Project(key)	

		//Element root = new Element("projectconfig")
		//Document doc = new Document(root)

		//Element bugtracker_name = new Element("bugtracker_name")
		//bugtracker_name.setText(bugtrackerName)
		//root.getChildren().add(bugtracker_name)
		
		project.setBugtrackertype(bugtrackerName)

		//Element bugtracker_url = new Element("bugtracker_url")
		//bugtracker_url.setText(bugtrackerUrl)
		//root.getChildren().add(bugtracker_url)
		
		project.setBugtrackerurl(bugtrackerUrl)

		//Format format = Format.getPrettyFormat()

		//format.setOmitDeclaration(true)
		//format.setOmitEncoding(false)
		//format.setEncoding("UTF-8")

		//XMLOutputter outputter = new XMLOutputter(format)		
		//String value = outputter.outputString(doc)	
		
		content.setValue(project.toN3())		
		//content.setType("application/xml")
		
		content.setType("text/rdf+n3")
		
		print content.getValue()
		
		print "\n"		
		//print value

		//entry.getContents().add(content)
		entry.setContent(content)
  	 	
  	 	if(newEntry){  	 	
  	 		atomClient.addEntry(entry)
  	 	} else {
  	 		//saving existing entry..
  	 	
  	 		entry.update()
  	 	}  	 	
  	 	
  	 	return this
  	 	
  	 	//new Project(key:key, bugtrackerName:bugtrackerName, bugtrackerUrl:bugtrackerUrl)
  	 }
}