

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
        <meta name="layout" content="main" />
        <title>Create Project</title>         
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLinkTo(dir:'')}">Home</a></span>
            <span class="menuButton"><g:link class="list" action="list">Project List</g:link></span>
        </div>
        <div class="body">
            <h1>Create Project</h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${project}">
            <div class="errors">
                <g:renderErrors bean="${project}" as="list" />
            </div>
            </g:hasErrors>
            <g:form action="save" method="post" >
                <div class="dialog">
                    <table>
                        <tbody>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="key">Key:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:project,field:'key','errors')}">
                                    <input type="text" id="key" name="key" value="${fieldValue(bean:project,field:'key')}"/>
                                </td>
                            </tr> 
                            
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="bugtrackerName">Bugtracker name:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:project,field:'bugtrackerName','errors')}">
                                    <input type="text" id="bugtrackerName" name="bugtrackerName" value="${fieldValue(bean:project,field:'bugtrackerName')}"/>
                                </td>
                            </tr> 
                            
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="bugtrackerUrl">Bugtracker Url:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:project,field:'bugtrackerUrl','errors')}">
                                    <input type="text" id="bugtrackerUrl" name="bugtrackerUrl" value="${fieldValue(bean:project,field:'bugtrackerUrl')}"/>
                                </td>
                            </tr> 
                        
                        </tbody>
                    </table>
                </div>
                <div class="buttons">
                    <span class="button"><input class="save" type="submit" value="Create" /></span>
                </div>
            </g:form>
        </div>
    </body>
</html>
